## txtmsgtomail 0.1

=== debian/changelog ===
txtmsgtomail (0.1) unstable; urgency=low

  * Initial Release.

 -- Nicolai Hess <nicolaihess@web.de>  Mon, 31 Jan 2011 21:31:24 +0100

## txtmsgtomail 0.2

=== debian/changelog ===
txtmsgtomail (0.2) unstable; urgency=low

  * changed subject line is configurable $(SENDER) is
    replaced wit the senders account/phone number.

 -- Nicolai Hess <nicolaihess@web.de>  Sat, 11 Mar 2011 17:07:45 +0200

## txtmsgtomail 0.3

=== Makefile ===
#HILDON_STATUS_PANEL_LIB_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildondesktoplibdir)
#HILDON_STATUS_PANEL_DATA_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildonstatusmenudesktopentrydir)
#HILDON_CONTROL_PANEL_LIB_DIR=$(shell pkg-config hildon-control-panel --variable=pluginlibdir)
#HILDON_CONTROL_PANEL_DATA_DIR=$(shell pkg-config hildon-control-panel --variable=plugindesktopentrydir)

HILDON_STATUS_PANEL_LIB_DIR=/usr/lib/hildon-desktop
HILDON_STATUS_PANEL_DATA_DIR=/usr/share/applications/hildon-status-menu
HILDON_CONTROL_PANEL_LIB_DIR=/usr/lib/hildon-control-panel
HILDON_CONTROL_PANEL_DATA_DIR=/usr/share/applications/hildon-control-panel

SUBDIRS=src_sp src_cp
BUILDDIR=build
SP_LIB=txtmsgtomail_sp.so
CP_LIB=txtmsgtomail_cp.so
DATA_FILE_SP=txtmsgtomail_sp.desktop
DATA_FILE_CP=txtmsgtomail_cp.desktop

CONTROL_PANEL_IMAGE_PATH=/usr/share/icons/hicolor/48x48/hildon/

all: create_builddir subdirs

install: all
	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
	install -m 644 $(BUILDDIR)/$(SP_LIB) $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
	install -m 644 data/$(DATA_FILE_SP) $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
	install -d $(DESTDIR)/$(HILDON_CONTROL_PANEL_DATA_DIR)
	install -m 644 data/$(DATA_FILE_CP) $(DESTDIR)/$(HILDON_CONTROL_PANEL_DATA_DIR)
	install -d $(DESTDIR)/$(HILDON_CONTROL_PANEL_LIB_DIR)
	install -m 644 $(BUILDDIR)/$(CP_LIB) $(DESTDIR)/$(HILDON_CONTROL_PANEL_LIB_DIR)
	install -d $(DESTDIR)/$(IMAGE_PATH)
	install -d $(DESTDIR)/$(CONTROL_PANEL_IMAGE_PATH)
	install -m 644 data/txtmsgtomail_setup.png $(DESTDIR)/$(CONTROL_PANEL_IMAGE_PATH)

subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

create_builddir:
	mkdir -p build

.PHONY: all clean install $(SUBDIRS)

clean:
	rm -rf build
	for d in $(SUBDIRS); do (cd $$d; $(MAKE) clean); done

=== src_cp/Makefile ===
OBJS=txtmsgtomail_cp.o
SOURCES=txtmsgtomail_cp.c
BUILDDIR=../build
LIB=$(BUILDDIR)/txtmsgtomail_cp.so
PKG_FLAGS=$(shell pkg-config glib-2.0 hildon-1 libhildondesktop-1 --libs --cflags)
CCFLAGS=-shared
CC=gcc

all:$(LIB)

$(LIB):$(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(OBJS) -o $(LIB)

.c.o:
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@

.PHONE: clean all

clean:
	rm $(OBJS)

=== src_sp/Makefile ===
OBJS=txtmsgtomail_sp.o
SOURCES=txtmsgtomail_sp.c
BUILDDIR=../build
LIB=$(BUILDDIR)/txtmsgtomail_sp.so

PKG_FLAGS=$(shell pkg-config glib-2.0 hildon-1 libhildondesktop-1 rtcom-eventlogger --libs --cflags)
CCFLAGS=-shared 
CC=gcc

all:$(LIB)

$(LIB):$(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(OBJS) -o $(LIB)

.c.o:
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@

.PHONE: clean all

clean:
	rm $(OBJS)

=== debian/changelog ===
txtmsgtomail (0.3) unstable; urgency=low

  * add another subject line config, so the user
    can define different subjects for incoming and outgoing messages
    and another variable $(RECEIVER) replaced by the message receiver

 -- Nicolai Hess <nicolaihess@web.de>  Thu, 31 Mar 2011 00:15:32 +0200

=== debian/control ===
Source: txtmsgtomail
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, hildon-control-panel-dev, libdbus-1-dev, libosso-dev, libtelepathy-glib-dev, libdbus-glib-1-dev, libgconf2-dev, libglib2.0-dev, librtcom-eventlogger-dev
Standards-Version: 3.7.2
Section: user/network

Package: txtmsgtomail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Textmessage to E-Mail
 Forwards textmessages to an E-Mail address
XB-Maemo-Display-Name:Textmessage to E-Mail forwarder
XSBC-Bugtracker: mailto:nicolaihess@web.de
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sCAgsyJc7FsnAAAAYVSURBVGje7ZZ9TJX3Fce/57mvyKWgqIBAFRAU
 5VJpQObqavqSaV3SpszapUuxixnZblJrNF1ca2qyNNmiaeKSLevUprZ20zWS
 LtJaNU4oaX1hVhgGennznXtLhSv35eE+b7/f6R/VBrhM12ZNbPJ8kt8fT37P
 Ob/zfZ7zO+cANjY2NjY2NjY2NjY231MIAJh/TBhMpkF+Cw8uYsprTf4/gmFm
 YualADIBDBFRDxFpdxTQcayq9L6F6TtYchp/M/VkCb5+adDYUPbg2ZHxe9u3
 b19QW1tbv2LFipfv5CcWi2W73e5XHYryHBG8RAAYYABC8t9M0/ydz+frncrW
 CQDvNV3P1lTxcE1legYYYKY7fSuACKQQPjkTGzrdEUsH8LWA+vr6jLq6ugNF
 RUVL2tvbl1RVVT0BwJrKU09Pz0Jm/oDYKo6qhLbLCkfGiJwKeMFsSQtz5c9Z
 ylWDg6E1+flzWibbKwCwrMoHRTAfPXEDiZgFNgTkbRabEomogfePDoOklMX5
 nglO6+rqjpeUlCwhIq6srFx98uTJP7vdbu/kw48fPz49KyvrkMchij/sNHnN
 XwTeaLVoIGzwvwdM+uVbAi++K1gzrWyP23W4sbExZ0oBHgWoKvNi0TwPznXG
 MXBpDDAFYE4K3BCQukBvv4qzHXHcV+ZF5fw05E13TnAaCoVeikQi14mIFEVB
 dXV1Q2tr667Jh+fm5m5wKFx6dsDg3x5I4skKFX/8aQK/qFXp+QcTePvZBNoH
 VNp9QmeGTPP7/QemFGAZEoYmkJvlxP1laVDjAs2no9ASFqBLsCYB46vV0haF
 lpSoKU9HTqYTQhcwNDHBaSAQ+Nfu3bufikajSQDscrlQU1PzbHt7+2EArltX
 iIh+Zpkm9jYnKH9aglYvNrDxzTjWv57Ao6/GsP1QAi88pPOJjjjFVZ09Xm/V
 zp07y1IEwBRgXUIYAi5mVMxLw7yCQrR9Ng2RGzq0pIkbEQP7moZxj1tBxb0e
 uFhC6gLSkJBmavnasmXLRzt27Fh/q1AQEfv9/sdaWlp+AwBLly7Nczoc89Wk
 geZPI3jmBwLvtyVwJRTDn9YRyqarKJ+lo2iGSRevjvJYUidD1z3V1dUVKZdY
 mgxhCCjEIFIAXxnmzozBxyEMhgRUTcLjVvD48gyoYxIXryRRONsFZkAaEmyl
 Cti0aVNxQ0PDhpvlkYmI+vr6uru7u/8BAJZlOU3LUiQz4tEoXOxC14UkVvqd
 sAwT4c+jmLNsOoQFWGNxMox0kCSYpulIEcAGg3UBSYAjcxFELAzTGIbPpWB+
 HkFKgkMBCAzPNMIXEYGrgzoKZjshdQlpTBRQX1+fEQgEGgsLC5fcCr6zs/P8
 1q1blzc1NcUAQFVVHhsbs7xej3uWJ4n2z0YxTQG6+uI4lyPQf2EEfVcUdPZK
 zMvSQdKEbjAikYhISSFhGhC6BLmLIeJDsOJDkDpDahIwGIolwYaE1CSkJpDj
 UwBT4Oo1/at3JqXQrSoEgImIgsFg9/jgb5bPyOC1az1ggWWlhANHrqGmVMH5
 4HX8Ye9FPFHrxt5DV/HP5hA3rM6AECYbuq4Ffh04n/IHHI5MOO/xu1i9BNaG
 QeQAbtOWJRj5GQ4Mxy1cCWvOZFJMaBzhcPilkZGRv2dnZ88OBoPdBw8eXDk+
 +Juop06daszNzfE//UgWf3w2THvfu4ht6/JRkONFepoDDyx2cfGcNJqR6WQp
 mVpbWpqHvhjqS+nEv1pbW1E+c/j3ijnqAin/eycmYGjUiveHzef3tyY+H7+3
 a9euR0tKSjbv2bPn6f3798emss+fkz9327ZXDi1aXF4ZSxj813cvo6svSqGh
 JGf4nDRrhgebnyvlBUWZ1N8/EK5ft24lgPMpAgCkA5g17vkbjTAABgGY32b+
 ubeg8IcvbNz4enVNtd80DWi6YMuSRAR2uxzk9brR3dV1ed++fYHTZ84cnnIW
 ugso/8mqVZvXrF37WGZWViaR4gRBqvFE4tjRI81vv/POawDa/uswd5fgAVBe
 kJtXtnzFj2b2BntHz/2now9AEED8ttPo3Tjij0tPGxsbGxsbGxsbG5vvhi8B
 NVsWcLshnK8AAAAASUVORK5CYII=
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/txtmsgtomail install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## txtmsgtomail 0.4

=== debian/changelog ===
txtmsgtomail (0.4) unstable; urgency=low

  * use username/nickname instead of phone number

 -- Nicolai Hess <nicolaihess@web.de>  Fri, 22 Apr 2011 23:45:54 +0200
